org.apache.hc.client5.http.protocol

## Class RequestAuthCache

- java.lang.Object
- - org.apache.hc.client5.http.protocol.RequestAuthCache

- All Implemented Interfaces:
    org.apache.hc.core5.http.HttpRequestInterceptor

  Deprecated.
  Do not use.

      @Deprecated
       @Contract(threading=STATELESS)
      public class RequestAuthCache
      extends Object
      implements org.apache.hc.core5.http.HttpRequestInterceptor

  Request interceptor that can preemptively authenticate against known hosts, if there is a cached `AuthScheme` instance in the local `AuthCache` associated with the given target or proxy host.
  Since:
    4.1

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RequestAuthCache()` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `process(org.apache.hc.core5.http.HttpRequest request, org.apache.hc.core5.http.EntityDetails entity, org.apache.hc.core5.http.protocol.HttpContext context)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RequestAuthCache

          public RequestAuthCache()

      Deprecated.

  - ### Method Detail

    - #### process

          public void process(org.apache.hc.core5.http.HttpRequest request,
                              org.apache.hc.core5.http.EntityDetails entity,
                              org.apache.hc.core5.http.protocol.HttpContext context)
                       throws org.apache.hc.core5.http.HttpException,
                              IOException

      Deprecated.
      Specified by:
        `process` in interface `org.apache.hc.core5.http.HttpRequestInterceptor`
      Throws:
        `org.apache.hc.core5.http.HttpException`
        `IOException`

Copyright © 1999–2021 The Apache Software Foundation. All rights reserved.